
QGIS Application - Feature request #1630

v.db.addcol: checkbox for data type

2009-04-05 10:52 AM - Paolo Cavallini

Status: Open

Priority: Low

Assignee:

Category: GRASS

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 11690

Description

In current v.db.addcol, the user has to insert the type (integer, double precision, varchar) of the column by hand. Please replace this with a

checkbox

History

#1 - 2009-04-27 08:26 AM - Redmine Admin

Did you consider that each database supports different types? So either we limit the options to VARCHAR, INT, DOUBLE PRECISION/REAL and DATE

or we add more types but user can end up with error even if the type was offered in the list.

The best solution would be to add a function to all GRASS db drivers to return list of supported types and write an interface in qgis which will use those lists

according to selected vector/layer (i.e. db). But that seems to be overkill to me at this moment.

Radim

#2 - 2009-04-27 08:32 AM - Paolo Cavallini

Agreed. I did not consider this. Perhaps this could be added ad a comment in the interface?

Something like: "For [[PostgreSQL]]: varchar etc. For DBF:..."

#3 - 2009-04-28 01:16 AM - Redmine Admin

Ok, GRASS modules support descriptions for each possible value, so we can show in combobox something like:

int (All drivers)

varchar (All drivers)

datetime (Postgres, [[MySQL]], Sqlite)

etc.

But that is not very user friendly I think. My original idea with GRASS plugin was to add only the modules which are supported well in GUI.

We forgot also that various types can have additional parameters, e.g. NUMERIC, varchar(n), so it becomes realy messy because (with simple interface

based on module description) we have to add also 2 numeric input options which usually becomes empty.

Please read olso my comments for #1631. I realy suggest to 'Add column' as QGIS new feature supported by all drivers.

Radim

#4 - 2010-03-21 11:14 AM - Paolo Cavallini
Please note: in GRASS wx interface the problem is the same

#5 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#7 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2017-05-01 12:42 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Easy fix? set to No

#9 - 2018-02-24 03:31 PM - Paolo Cavallini

- Assignee deleted (nobody -)

Still true in QGIS 3
